<?php
/*
Plugin Name: PluginSmarty
Plugin URI: http://imthi.com/#
Description: This is simple plugin to use smarty for backend.
Author: Imthiaz Rafiq
Version: 1.0
Author URI: http://imthi.com/
*/

class pluginSmarty{
	var $tp;
	function pluginSmarty(){
		add_action('admin_menu',array(&$this,"addPages"));
	}
	function initTemplates(){
		define('SMARTY_DIR', dirname(__FILE__).'/smarty/'); 
		require(SMARTY_DIR . 'Smarty.class.php'); 
		$this->tp = new Smarty; 
		$this->tp->template_dir = dirname(__FILE__).'/templates/'; 
		$this->tp->compile_dir = dirname(__FILE__) .'/cache/'; 
		$this->tp->cache_dir = dirname(__FILE__) .'/cache/'; 
	}
	function addPages(){
		add_management_page("PlugiSmarty","Smarty Test",1,"pluginSmarty",array(&$this,"showPage"));		
	}
	function showPage(){
		$this->initTemplates();
		$this->tp->display("pluginSmarty.tpl");
	}
}
$psmarty = new pluginSmarty();
?>